TeeOutputStream (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.util.io

## Class TeeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.bouncycastle.util.io.TeeOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class TeeOutputStream
      extends java.io.OutputStream

  An output stream which copies anything written into it to another stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeeOutputStream(java.io.OutputStream output1, java.io.OutputStream output2)` Base constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] buf)`
    `void` | `write(byte[] buf, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TeeOutputStream

          public TeeOutputStream(java.io.OutputStream output1,
                         java.io.OutputStream output2)

      Base constructor.
      Parameters:
        `output1` - the output stream that is wrapped.
        `output2` - a secondary stream that anything written to output1 is also written to.

  - ### Method Detail

    - #### write

          public void write(byte[] buf)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] buf,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`